Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PG_Location_Equal_To Class Reference

"Equal_To" function object that determines if two location names are the same. More...

`#include <PG_Location_Equal_To.h>`

List of all members.

## Public Methods
int | operator() (const PortableGroup::Location &lhs, const PortableGroup::Location &rhs) const

## Detailed Description

"Equal_To" function object that determines if two location names are the same.

This functor simply does a string comparison of each of the elements in the given TAO_PortableGroup::Location name sequences.

## Member Function Documentation

ACE_INLINE int TAO_PG_Location_Equal_To::operator() | ( | const PortableGroup::Location & | lhs,
|  | const PortableGroup::Location & | rhs
| ) | const

| Perform a string comparison on each of the sequence elements in the given locations.

The documentation for this class was generated from the following files:

- PG_Location_Equal_To.h
- PG_Location_Equal_To.inl